#ifndef _Line_H
#define _Line_H

/** @class Line Line Tsa/Line
 *
 * Define a line of equation
 *
 *  y = mx + c !
 *
 * using 2 points of this line
 *
 *  @author M.Needham
 *  @date   31/05/2004
 */

class Line{

public:

  Line(const double y1, const double y2,
          const double x1, const double x2);

  virtual ~Line(){}

  double value(const double x) const;

  double m() const;

  double c() const;

private:

  double m_m;
  double m_c;

}; 

inline Line::Line(const double y1, const double y2,
                        const double x1, const double x2){

  m_m = (y2-y1)/(x2-x1);
  m_c = y1 - (m_m*x1);
  
}

inline double Line::value(const double x) const{
  return (m_c+(m_m*x));
}

inline double Line::m() const{
  return m_m;
}

inline double Line::c() const{
  return m_c;
}

#endif // _Line_H
